Subject: Re: linux-next: Tree for Feb 23 [ fs/dcache.c: Root dentry has weird name <SYSV00000000> ]

From: Al Viro <[email-masked]>
Date: Mon, 25 Feb 2013 14:27:49 +0000

On Mon, Feb 25, 2013 at 03:22:03PM +0100, Sedat Dilek wrote:
> On Mon, Feb 25, 2013 at 2:54 PM, Al Viro <[email-masked]> wrote:
> > On Mon, Feb 25, 2013 at 02:22:42PM +0100, Sedat Dilek wrote:
> >
> >> [  120.310366] Root dentry has weird name <SYSV00000000>
> >
> > Umm...  Almost certainly a result of switching to shmem_file_setup() to
> > d_alloc_pseudo(); I'll fix it (give the suckers ->d_op of their own).
> > For now, just ignore the warning - it's harmless.  Or revert commit
> > 7dbc68fcb0cdce27737dba9ee252f26d39d75fb6 and see if the rest of your
> > problems persist; I would be very surprised if anything other than this
> > warning had been caused by that commit.
> 
> Thanks for the quick fix!
> 
> YES, with "Revert "shmem_setup_file(): use d_alloc_pseudo() instead of
> d_alloc()"" I do NOT see these warnings anymore.

Umm...  Are the perf ones you are seeing eliminated by that as well?  I would
expect them to be an independent problem...